package config

import (
	"time"

	"github.com/zeromicro/go-zero/core/stores/redis"
	"github.com/zeromicro/go-zero/rest"
	"github.com/zeromicro/go-zero/zrpc"
)

type Config struct {
	rest.RestConf
	Token struct {
		Secret  string
		Expired time.Duration
	}
	// Redis Cluster
	RedisCluster redis.RedisConf

	AccountRpc      zrpc.RpcClientConf
	PermissionRpc   zrpc.RpcClientConf
	NotificationRpc zrpc.RpcClientConf
	MailSender      string
}
