// Code generated by goctl. DO NOT EDIT.
package types

type Status struct {
	Code    int64       `json:"code"`            // 狀態碼
	Message string      `json:"message"`         // 訊息
	Data    interface{} `json:"data,omitempty"`  // 可選的數據，當有返回時才出現
	Error   interface{} `json:"error,omitempty"` // 可選的錯誤信息
}

type BaseResponse struct {
	Status Status `json:"status"` // 狀態
}

type MemberLoginHeader struct {
	DeviceID  string `header:"device_id"`
	IpAddress string `header:"ip_address"`
	Brewser   string `header:"brewser"`
}

type CreateAccountRequest struct {
	Account     string `json:"account" validate:"required, account"`             // 帳號名稱
	Token       string `json:"token"`                                            // 密碼或平台token，密碼請 sha256 轉碼
	TokenCheck  string `json:"token_check"`                                      // 密碼或平台token，密碼請 sha256 轉碼
	Platform    string `json:"platform" validate:"oneof=digimon google twitter"` // 平台名稱 digimon, google, twitter
	AccountType int64  `json:"account_type" validate:"oneof=1 2 3"`              // 帳號類型 1 手機 2 信箱 3 自定義帳號
	MemberLoginHeader
}

type CreateAccountItem struct {
	UID          string `json:"uid"`           // 使用者UID
	AccessToken  string `json:"access_token"`  // 訪問令牌 預設 5 分鐘過期
	RefreshToken string `json:"refresh_token"` // 刷新令牌 (預設一天過期，只能用一次)，當呼叫更新token api 時，會自動把舊的失效，變成新的 refresh_token ，前端要記得過其實協助刷新，刷新不過表示全失效了（重新登入）
	TokenType    string `json:"token_type"`    // Bearer
}

type CreateAccountResp struct {
	Status Status            `json:"status"` // 狀態
	Data   CreateAccountItem `json:"data"`
}

type LoginResp struct {
	Status Status    `json:"status"` // 狀態
	Data   LoginItem `json:"data"`
}

type LoginItem struct {
	UID          string `json:"uid"`           //  Account
	AccessToken  string `json:"access_token"`  // 訪問令牌 預設 5 分鐘過期
	RefreshToken string `json:"refresh_token"` // 刷新令牌 (預設一天過期，只能用一次)，當呼叫更新token api 時，會自動把舊的失效，變成新的 refresh_token ，前端要記得過其實協助刷新，刷新不過表示全失效了（重新登入）
	TokenType    string `json:"token_type"`    // Bearer
}

type LoginReq struct {
	Account     string `json:"account" validate:"required, account"`             // 帳號名稱
	Token       string `json:"token"`                                            // 密碼或平台token，密碼請 sha256 轉碼
	Platform    string `json:"platform" validate:"oneof=digimon google twitter"` // 平台名稱 digimon, google, twitter
	AccountType int64  `json:"account_type" validate:"oneof=1 2 3"`              // 帳號類型 1 手機 2 信箱 3 自定義帳號
	MemberLoginHeader
}

type ForgetPasswordCodeReq struct {
	Account     string `json:"account" validate:"required, account"` // 帳號名稱
	AccountType int32  `json:"account_type" validate:"oneof=1 2 3"`  // 帳號類型 1 手機 2 信箱 3 自定義帳號
}

type CheckoutVerifyReq struct {
	Account    string `form:"account"m:"account" validate:"required, account"` // 帳號名稱
	VerifyCode string `form:"verify_code" validate:"required,len=6"`           // 驗證碼，長度為6
}

type UpdatePasswordReq struct {
	Account    string `json:"account" validate:"required, account"`  // 帳號名稱
	VerifyCode string `json:"verify_code" validate:"required,len=6"` // 驗證碼，長度為6
	Token      string `json:"token" validate:"required"`             // 密碼或平台token，密碼請 sha256 轉碼
	TokenCheck string `json:"token_check" validate:"required"`       // 密碼或平台token，密碼請 sha256 轉碼
}

type UpdateTokenReq struct {
	UID   string `json:"uid" validate:"required"`   // uid
	Token string `json:"token" validate:"required"` // refresh token
	MemberLoginHeader
}

type Header struct {
	Uid   string `header:"uid"`
	Token string `header:"token"`
}

type GetMemberHeader struct {
	Token string `header:"token"`
}

type UserInfoResp struct {
	Status Status   `json:"status"` // 狀態
	Data   UserInfo `json:"data"`
}

type UserInfo struct {
	UID        string  `json:"uid"`
	VerifyType string  `json:"verify_type"`
	AlarmType  string  `json:"alarm_type"`
	Status     string  `json:"status"`
	Language   string  `json:"language"`
	Currency   string  `json:"currency"`
	Avatar     string  `json:"avatar"`
	CreateTime string  `json:"curreate_time"`
	UpdateTime string  `json:"update_time"`
	NickName   *string `json:"nick_name,omitempty"`
}
